View Issue Details

IDProjectCategoryView StatusLast Update
07047Development [All Projects] Survey takingpublic2015-08-21 15:51
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.1 
Summary07047: Unable to reload a saved survey if it's nor anonymous without token table
Description

See summary

Steps To Reproduce

Launch a survey "Not anonymous" without token table
Save the survey with saved_survey settings
Launch the link: break

Additional Information

Undefined index token in session var.

TagsNo tags attached.

Activities

DenisChenu

DenisChenu

2012-12-07 12:00

developer   ~23020

Just put this bug report to move it after in developpement

DenisChenu

DenisChenu

2012-12-07 12:02

developer   ~23021

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10783

DenisChenu

DenisChenu

2012-12-07 13:10

developer   ~23022

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10784

DenisChenu

DenisChenu

2012-12-13 12:06

developer   ~23212

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10905

Related Changesets

LimeSurvey: master b2a5cb32

2012-12-07 11:00:07

DenisChenu

Details Diff
Fixed issue 07047: Unable to reload a saved survey if it's nor anonymous without token table
Dec: test if isset session var before doing job: work for token, maybe other too
Affected Issues
07047
mod - application/helpers/frontend_helper.php Diff File

LimeSurvey: master 5a721887

2012-12-07 11:03:40

DenisChenu

Details Diff
Fixed issue 07047: Unable to reload a saved survey if it's not anonymous without token table
Dev: test if isset session var before doing job: work for token, maybe other too
Affected Issues
07047
mod - application/helpers/frontend_helper.php Diff File

LimeSurvey: 2.1 62fd0714

2012-12-13 11:03:54

DenisChenu

Details Diff
Fixed issue 07047: Unable to reload a saved survey if it's not anonymous without token table
Dev: test if isset session var before doing job: work for token, maybe other too
Affected Issues
07047
mod - application/helpers/frontend_helper.php Diff File

Issue History

Date Modified Username Field Change
2012-12-07 12:00 DenisChenu New Issue
2012-12-07 12:00 DenisChenu Status new => assigned
2012-12-07 12:00 DenisChenu Assigned To => DenisChenu
2012-12-07 12:00 DenisChenu Note Added: 23020
2012-12-07 12:02 DenisChenu Changeset attached => LimeSurvey master b2a5cb32
2012-12-07 12:02 DenisChenu Note Added: 23021
2012-12-07 12:02 DenisChenu Resolution open => fixed
2012-12-07 12:02 DenisChenu Project Bug reports => Development
2012-12-07 12:02 DenisChenu Resolution fixed => open
2012-12-07 12:02 DenisChenu Product Version 2.00+ => 2.1
2012-12-07 12:02 DenisChenu Target Version 2.00+ =>
2012-12-07 13:10 DenisChenu Changeset attached => LimeSurvey master 5a721887
2012-12-07 13:10 DenisChenu Note Added: 23022
2012-12-07 13:10 DenisChenu Resolution open => fixed
2012-12-13 12:06 DenisChenu Changeset attached => LimeSurvey 2.1 62fd0714
2012-12-13 12:06 DenisChenu Note Added: 23212
2012-12-13 12:06 DenisChenu Status assigned => resolved
2012-12-13 12:06 DenisChenu Fixed in Version => 2.1
2015-08-21 15:51 c_schmitz Status resolved => closed